Часто Задаваемые Вопросы по FreeBSD 2.X, 3.X, 4.X и 5.X


Можно ли производить установку на диск с повреждёнными блоками?


До версии 3.0 в поставку FreeBSD включалась утилита, известная под именем bad144, которая автоматически переносила повреждённые блоки. Так как современные диски с интерфейсом IDE выполняют эту функцию самостоятельно, то утилита bad144 была удалена из дерева исходных текстов FreeBSD. Если вы собираетесь устанавливать FreeBSD 3.0 и выше, то мы настоятельно рекомендуем приобрести новый диск. Если вы этого делать не собираетесь, то устанавливайте FreeBSD 2.X.

Если вы обнаружите испорченные блоки на современном диске IDE, то весьма вероятно, что он скоро выйдет из строя совсем (собственная способность переносить испорченные блоки исчерпана, что означает очень большую порчу поверхности); мы рекомендуем приобрести новый диск.

Если повреждённые блоки находятся на SCSI диске, взгляните на такое решение.




Начало  Назад  Вперед